> For the complete documentation index, see [llms.txt](https://docs.wisej.com/api/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.wisej.com/api/wisej.web/content/linklabel/wisej.web.linkarea.md).

# LinkArea

Namespace: **Wisej.Web**

Assembly: **Wisej.Framework** (4.0.0.0)

Represents an area within a [LinkLabel](/api/wisej.web/content/linklabel.md) control that represents a hyperlink within the control.

{% tabs %}
{% tab title="C#" %}

```csharp
public struct LinkArea : ValueType
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Structure LinkArea
    Implements ValueType
```

{% endtab %}
{% endtabs %}

## Constructors

### ![](/files/hsR4ok3152WyAf8J2C1u) LinkArea(start, length)

Initializes a new instance of the [LinkArea](/api/wisej.web/content/linklabel/wisej.web.linkarea.md) class.

| Name       | Type                                                        | Description                                                                                                                |
| ---------- | ----------------------------------------------------------- | -------------------------------------------------------------------------------------------------------------------------- |
| **start**  | [Int32](https://docs.microsoft.com/dotnet/api/system.int32) | The zero-based starting location of the link area within the text of the [LinkLabel](/api/wisej.web/content/linklabel.md). |
| **length** | [Int32](https://docs.microsoft.com/dotnet/api/system.int32) | The number of characters, after the starting character, to include in the link area.                                       |

## Properties

### ![](/files/hsR4ok3152WyAf8J2C1u) IsEmpty

[Boolean](https://docs.microsoft.com/dotnet/api/system.boolean): Returns a value indicating whether the [LinkArea](/api/wisej.web/content/linklabel/wisej.web.linkarea.md) is empty.

### ![](/files/hsR4ok3152WyAf8J2C1u) Length

[Int32](https://docs.microsoft.com/dotnet/api/system.int32): Returns or sets the number of characters in the link area.

### ![](/files/hsR4ok3152WyAf8J2C1u) Start

[Int32](https://docs.microsoft.com/dotnet/api/system.int32): Returns or sets the starting location of the link area within the text of the [LinkLabel](/api/wisej.web/content/linklabel.md).

## Used By

| Name                                                                                                                                 | Description                                                                                   |
| ------------------------------------------------------------------------------------------------------------------------------------ | --------------------------------------------------------------------------------------------- |
| [LinkLabel.LinkArea](/api/wisej.web/content/linklabel.md#linkarea)                                                                   | Returns or sets the range in the text to treat as a link.                                     |
| [LinkLabelExtensions.LinkArea](/api/wisej.web.markup/extensions/wisej.web.markup.linklabelextensions.md#linkarea-linklabel-linkarea) | Sets the LinkArea property of the specified [LinkLabel](/api/wisej.web/content/linklabel.md). |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.wisej.com/api/wisej.web/content/linklabel/wisej.web.linkarea.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
